Skip to main content
GET
Get Checkpoint Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

checkpoint_id
string
required

Response

Successful Response

A filesystem checkpoint. Only DURABLE checkpoints can be restored.

id
string
required
sandbox_id
string
required
state
string
required
depth
integer
required
docker_image
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
parent_id
string | null
team_id
string | null
disk_size_bytes
integer | null
stored_bytes
integer | null
occupied_bytes
integer
default:0
error
string | null
merge
enum<string> | null
Available options:
merged,
pending,
failed
merge_error
string | null
expires_at
string<date-time> | null